Subject: ietf.org IMAP vs. MacOS Monterey (beware)

From: Viktor Dukhovni <[email-masked]>
Date: Fri, 24 Dec 2021 09:31:36 -0500

Got bit by a regression in Mail.app IMAP support, perhaps others might
also be affected or perhaps take advance steps to avoid issues.

I've been reading some IETF lists via the ietf.org IMAP server, rather
than than SMTP delivery to my mailbox, with IMAP subscriptions to just
a handful of the groups.

Turns out that in the current Monterey builds, Mail.app has lost support
for per-mailbox subscriptions, and I ended up subscribed to the full
history of every list, syncing close to 200 GB of mail before the
problem became apparent... :-(

If the ietf.org IMAP server is particularly busy lately, perhaps it is
in part due to other Mail.app users, similarly affected.

I do hope that functioning IMAP subscription support will be restored in
an upcoming update, this was a surprising loss of functionality...

-- 
    Viktor.